# Uses of Class
org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.Input

Packages that use CDOCompareEditorUtil.Input
Package
Description
org.eclipse.emf.cdo.ui.compare
Classes that help to open EMF Compare user interfaces on CDO models.

## Uses of CDOCompareEditorUtil.Input in org.eclipse.emf.cdo.ui.compare

Methods in org.eclipse.emf.cdo.ui.compare that return CDOCompareEditorUtil.Input
Modifier and Type
Method
Description
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, Set<CDOID> affectedIDs)`
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, CDOView[] originView, CDOViewOpener viewOpener)`
`static CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.`createComparisonInput(CDOView leftView, CDOView rightView, org.eclipse.emf.compare.Comparison comparison)`
`CDOCompareEditorUtil.Input`
CDOCompareEditorUtil.InputHolder.`getInput()`
Methods in org.eclipse.emf.cdo.ui.compare with parameters of type CDOCompareEditorUtil.Input
Modifier and Type
Method
Description
`void`
CDOCompareEditorUtil.InputHolder.`accept(CDOCompareEditorUtil.Input input)`
`static boolean`
CDOCompareEditorUtil.`openDialog(CDOCompareEditorUtil.Input input, CDOView rightView)`
Method parameters in org.eclipse.emf.cdo.ui.compare with type arguments of type CDOCompareEditorUtil.Input
Modifier and Type
Method
Description
`static void`
CDOCompareEditorUtil.`setInputConsumer(Consumer<CDOCompareEditorUtil.Input> consumer)`